summaryrefslogtreecommitdiff
path: root/qa/265
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/265
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/265')
-rwxr-xr-xqa/26540
1 files changed, 40 insertions, 0 deletions
diff --git a/qa/265 b/qa/265
new file mode 100755
index 0000000..bf7cd2d
--- /dev/null
+++ b/qa/265
@@ -0,0 +1,40 @@
+#! /bin/sh
+# PCP QA Test No. 265
+# _pmPrintValue() exerciser
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo "=== 32-bit ==="
+src/pv
+
+echo
+echo "=== 64-bit === [note, may be fake on some systems]"
+if [ -x src/pv64 ]
+then
+ src/pv64
+else
+ cat <<End-of-File
+PM_TYPE_32: -65536 correct: -65536 (0xffff0000)
+PM_TYPE_U32: 2271560481 correct: 2271560481 (0x87654321)
+PM_TYPE_FLOAT: 123456.78 correct: 123456.78
+PM_TYPE_DOUBLE: 123456.789012345 correct: 123456.789012345
+PM_TYPE_64: -65536 correct: -65536 (0xffffffffffff0000)
+PM_TYPE_U64: 9756277977086427136 correct: 9756277977086427136 (0x8765432112340000)
+End-of-File
+fi
+
+# success, all done
+status=0
+exit